"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _fs = _interopRequireDefault(require("fs"));
var _bluebird = _interopRequireDefault(require("bluebird"));
var _mysql = _interopRequireDefault(require("mysql"));
var path = _interopRequireWildcard(require("path"));
var _logger = _interopRequireDefault(require("../logger"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const config_env = (process.env.RTLS_FRONTEND_ENV || 'PROD').toUpperCase();
function makePool(keyFile, env) {
  if (!_fs.default.existsSync(keyFile)) {
    _logger.default.error(`Db config file "${keyFile}" not found`);
    process.exit(-1);
  }
  try {
    const db_config = JSON.parse(_fs.default.readFileSync(keyFile, 'utf8'));
    const pool = _mysql.default.createPool(db_config[env.toLowerCase()]);
    _bluebird.default.promisifyAll(_mysql.default);
    _bluebird.default.promisifyAll(require('mysql/lib/Connection').prototype);
    _bluebird.default.promisifyAll(require('mysql/lib/Pool').prototype);
    return pool;
  } catch (e) {
    _logger.default.error(`Fails to read db config file "${keyFile}"`);
    _logger.default.error(e);
    process.exit(-1);
  }
  return false;
}
const dbConfigPath = path.join(__dirname, '../../../database.json');
const Pool = makePool(dbConfigPath, config_env);
const dwPool = makePool(dbConfigPath, 'dw');
module.exports = {
  Pool,
  dwPool
};