"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classPrivateFieldGet2 = _interopRequireDefault(require("@babel/runtime/helpers/classPrivateFieldGet"));
var _classPrivateFieldSet2 = _interopRequireDefault(require("@babel/runtime/helpers/classPrivateFieldSet"));
var _winston = _interopRequireDefault(require("winston"));
function _classPrivateFieldInitSpec(obj, privateMap, value) { _checkPrivateRedeclaration(obj, privateMap); privateMap.set(obj, value); }
function _checkPrivateRedeclaration(obj, privateCollection) { if (privateCollection.has(obj)) { throw new TypeError("Cannot initialize the same private elements twice on an object"); } }
const options = {
  level: 'info',
  format: _winston.default.format.combine(_winston.default.format.colorize({
    all: true
  }), _winston.default.format.timestamp({
    format: 'YYYY/MM/DD HH:mm:ss'
  }), _winston.default.format.printf(info => `[${info.timestamp}] [${info.service}] ${info.level}: ${info.message}`)),
  defaultMeta: {
    service: 'rtls-reports'
  },
  transports: [new _winston.default.transports.Console()]
};
// todo: logger apply only 1 argument, all other are dropped out
//  apply logger implemented on rtls-server with rotate file and console transport
var _logger = /*#__PURE__*/new WeakMap();
var _generateWrappedMethods = /*#__PURE__*/new WeakMap();
class Logger {
  constructor() {
    _classPrivateFieldInitSpec(this, _logger, {
      writable: true,
      value: null
    });
    _classPrivateFieldInitSpec(this, _generateWrappedMethods, {
      writable: true,
      value: () => {
        const methods = ['debug', 'info', 'warn', 'error'];
        for (const method of methods) {
          this[method] = (...args) => {
            (0, _classPrivateFieldGet2.default)(this, _logger)[method](...args);
          };
        }
      }
    });
    (0, _classPrivateFieldSet2.default)(this, _logger, _winston.default.createLogger(options));
    (0, _classPrivateFieldGet2.default)(this, _generateWrappedMethods).call(this);
  }
}
var _default = Logger;
exports.default = _default;