"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ZoneActivityTrackable = void 0;
class ZoneActivityTrackable {
  constructor(trackable, from, to) {
    this.from = from;
    this.to = to;
    this.name = trackable.name;
    this.category = trackable.category;
    this.uid = trackable.uid;
    this.count = 0;
    this.duration = 0;
    this.entries = [];
  }
  _entryDuration(event) {
    if (!event.time_set) return 0;
    const time_set = new Date(event.time_set).getTime();
    const time_clear = event.time_clear ? new Date(event.time_clear).getTime() : new Date().getTime();
    const start = this.from > time_set ? this.from : time_set;
    const end = this.to > time_clear ? time_clear : this.to;
    return end - start;
  }
  set zoneEntry(event) {
    this.count += 1;
    const entry = this.entries.find(item => item.zone_uid === event.zone_uid);
    const duration = this._entryDuration(event);
    this.duration += duration;
    if (!entry) {
      this.entries.push({
        zone_uid: event.zone_uid,
        zone_name: event.zone_name,
        count: 1,
        accumulated_duration: duration
      });
    } else {
      entry.count += 1;
      entry.accumulated_duration += duration;
    }
  }
}
exports.ZoneActivityTrackable = ZoneActivityTrackable;