"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlarmRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class AlarmRepo {
  static async _alarmsStream(sql) {
    return new Promise((resolve, reject) => {
      _Pool.Pool.getConnection(async (err, connection) => {
        if (err) {
          reject(err);
        }
        const releaseConnection = () => {
          if (connection) {
            connection.release();
            connection = null;
          }
        };
        const query = connection.query(sql);
        resolve(query.stream().on('error', e => {
          releaseConnection();
          console.error(e);
          reject(e);
        }).on('end', () => {
          releaseConnection();
        }));
      });
    });
  }
  static async getAlarmsStream(from, to, sublocationUids) {
    const alarmsSql = (0, _sqls.getAlarmsReportSql)(from, to, sublocationUids);
    return this._alarmsStream(alarmsSql);
  }
}
exports.AlarmRepo = AlarmRepo;