"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class EventRepo {
  static async _stream(sql) {
    return new Promise((resolve, reject) => {
      _Pool.dwPool.getConnection(async (err, connection) => {
        if (err) {
          reject(err);
        }
        const releaseConnection = () => {
          if (connection) {
            connection.release();
            connection = null;
          }
        };
        const query = connection.query(sql);
        resolve(query.stream().on('error', e => {
          releaseConnection();
          console.error(e);
          reject(e);
        }).on('end', () => {
          releaseConnection();
        }));
      });
    });
  }
  static async getZoneEventsStream(from, to, sublocations) {
    const zoneEventsSql = (0, _sqls.getZoneEventsSql)(from, to, sublocations);
    return this._stream(zoneEventsSql);
  }
  static async getIdleEvents(from, to, sublocation_uids) {
    if (!Array.isArray(sublocation_uids) || sublocation_uids.length === 0) {
      return [];
    }
    return _Pool.Pool.queryAsync((0, _sqls.getIdleEventsSql)(), [to, from, sublocation_uids]);
  }
}
exports.EventRepo = EventRepo;