"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HeartbeatRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class HeartbeatRepo {
  static async getObjects(start, end, sublocationUids) {
    if (!Array.isArray(sublocationUids) || sublocationUids.length === 0) {
      return [];
    }
    return _Pool.Pool.queryAsync((0, _sqls.getObjectsSql)(), [end, start, sublocationUids]);
  }
  static async getList(start, end, sublocationUids) {
    if (!Array.isArray(sublocationUids) || sublocationUids.length === 0) {
      return [];
    }
    return _Pool.Pool.queryAsync((0, _sqls.getHeartbeatsSql)(), [end, start, sublocationUids]);
  }
}
exports.HeartbeatRepo = HeartbeatRepo;