"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PositionRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class PositionRepo {
  static async _stream(sql) {
    return new Promise((resolve, reject) => {
      _Pool.dwPool.getConnection(async (err, connection) => {
        if (err) {
          reject(err);
        }
        const releaseConnection = () => {
          if (connection) {
            connection.release();
            connection = null;
          }
        };
        const query = connection.query(sql);
        resolve(query.stream().on('error', e => {
          releaseConnection();
          console.error(e);
          reject(e);
        }).on('end', () => {
          releaseConnection();
        }));
      });
    });
  }
  static async getStream(from, to, sublocation_uids) {
    const positionsSql = (0, _sqls.getPositionsReportSql)(from, to, sublocation_uids);
    return this._stream(positionsSql);
  }
}
exports.PositionRepo = PositionRepo;