"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _http = _interopRequireDefault(require("http"));
var _Puller = require("./system/Puller");
var _restApi = _interopRequireDefault(require("./rest-api"));
var _logger = _interopRequireDefault(require("./logger"));
const port = Number(process.env.PORT || 3200);
const server = _http.default.createServer(_restApi.default);
server.listen(port, onListening);
async function onListening() {
  _logger.default.info('Listening on port: ' + port);
  const puller = new _Puller.Puller();
  await puller.pullProjects();
}
async function exit() {
  if (!server) return;
  server.close();
  process.exit(0);
}
process.on('SIGTERM', async () => {
  _logger.default.error('SIGTERM signal caught');
  await exit();
});
process.on('SIGINT', async () => {
  _logger.default.error('SIGINT signal caught');
  await exit();
});
process.on('unhandledRejection', error => {
  _logger.default.error({
    type: 'UnhandledRejection',
    error: error.stack
  });
});
process.on('uncaughtException', error => {
  _logger.default.error({
    type: 'UncaughtException',
    error: error.stack
  });
});