"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUUID = getUUID;
exports.parseSafeNull = parseSafeNull;
var _uuid = require("uuid");
function getUUID() {
  const arr = new Array(16);
  (0, _uuid.v4)(null, arr, 0);
  const uuid_base64 = Buffer.from(arr).toString('base64');
  return uuid_base64.substr(0, uuid_base64.length - 2).replace(/\+/g, '_').replace(/\//g, '-');
}
function parseSafeNull(string) {
  let result = null;
  if (string === null || string === undefined) {
    return string;
  }
  try {
    result = JSON.parse(string);
  } catch (e) {
    console.error(`Error parsing "${string}"`, e);
  }
  return result;
}