"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValidDate = isValidDate;
exports.timeFormatMySql = timeFormatMySql;
/**
 * Cast date to mysql format
 * @param {String|Number|Date} time
 * @param {Boolean} nomills
 * @return {string} date in mysql format
 * @example "YYYY-MM-DD HH:mm:ss"
 * @example "YYYY-MM-DD HH:mm:ss.SSS"
 */
function timeFormatMySql(time, nomills = false) {
  if (!time) {
    return '';
  } else if (typeof time === 'string' && !isNaN(time)) {
    time = new Date(Number(time));
  } else if (typeof time === 'string') {
    time = new Date(time);
  } else if (typeof time === 'number') {
    time = new Date(time);
  }
  let seconds = time.getSeconds();
  let minutes = time.getMinutes();
  let hour = time.getHours();
  const year = time.getFullYear();
  let month = time.getMonth() + 1;
  let day = time.getDate();
  let mills = time.getMilliseconds();
  if (hour < 10) {
    hour = `0${hour}`;
  }
  if (minutes < 10) {
    minutes = `0${minutes}`;
  }
  if (seconds < 10) {
    seconds = `0${seconds}`;
  }
  if (day < 10) {
    day = `0${day}`;
  }
  if (month < 10) {
    month = `0${month}`;
  }
  if (mills < 10) {
    mills = `00${mills}`;
  } else if (mills < 100) {
    mills = `0${mills}`;
  }
  if (isNaN(month)) {
    return '';
  }
  if (nomills) {
    return `${year}-${month}-${day} ${hour}:${minutes}:${seconds}`;
  }
  return `${year}-${month}-${day} ${hour}:${minutes}:${seconds}.${mills}`;
}
function isValidDate(date) {
  return new Date(date).toString() !== 'Invalid Date';
}