import { Pool } from '../../db/Pool';
import { getAlarmsReportSql } from './sqls';

export class AlarmRepo {
    static async _alarmsStream(sql) {
        return new Promise((resolve, reject) => {
            Pool.getConnection(async (err, connection) => {
                if (err) {
                    reject(err);
                }
                const releaseConnection = () => {
                    if (connection) {
                        connection.release();
                        connection = null;
                    }
                };
                const query = connection.query(sql);
                resolve(
                    query
                        .stream()
                        .on('error', (e) => {
                            releaseConnection();
                            console.error(e);
                            reject(e);
                        })
                        .on('end', () => {
                            releaseConnection();
                        })
                );
            });
        });
    }

    static async getAlarmsStream(from, to, sublocationUids) {
        const alarmsSql = getAlarmsReportSql(from, to, sublocationUids);
        return this._alarmsStream(alarmsSql);
    }
}
