export function getAlarmsReportSql(from, to, sublocationUids) {
    function getFilter(slUids) {
        let filter = ' AND alarm_type_id in (2, 6, 8, 10)';
        if (!Array.isArray(slUids) || slUids.length === 0) return filter;
        if (slUids.length === 1) filter += ` AND sublocation_uid = '${slUids[0]}'`;
        if (slUids.length > 1) filter += ` AND sublocation_uid in ("${slUids.join('", "')}")`;

        return filter;
    }
    const filters = getFilter(sublocationUids);

    return `
            SELECT
                als.obj_uid,
                als.additional_info,
                als.time_set,
                als.time_clear,
                z.name as zone_name,
                alt.name as alarm_name
            FROM (
                SELECT
                    al.obj_id as obj_uid,
                    al.alarm_type_id,
                    al.zone_uid,
                    al.additional_info,
                    al.created_at as time_set,
                    null as time_clear
                FROM alarms al WHERE created_at < '${to}' ${filters}
                UNION
                SELECT
                    alh.obj_id as obj_uid,
                    alh.alarm_type_id,
                    alh.zone_uid,
                    alh.additional_info,
                    alh.created_at as time_set,
                    alh.updated_at as time_clear
                FROM alarms_archive alh
                WHERE
                     ((created_at > '${from}' AND created_at < '${to}') OR (created_at < '${from}' AND updated_at > '${from}'))
                     ${filters}
                ) als
            LEFT JOIN zones z ON z.uid = als.zone_uid
            JOIN alarm_types alt ON als.alarm_type_id = alt.id;
    `;
}
