export function getZoneEventsSql(from, to, area_uids) {
    if (!Array.isArray(area_uids) || area_uids.length === 0) return null;
    const areaFilter =
        area_uids.length === 1 ? `area_uid = '${area_uids[0]}'` : `area_uid in ('${area_uids.join("', '")}')`;
    const sqlOpenZoneEvents = `
    SELECT
        trackable_uid,
        zone_uid,
        zone_name,
        enter_time as time_set,
        null as time_clear
    FROM zone_events_open
    WHERE zone_type_name = 'information' AND enter_time < '${to}' AND ${areaFilter}`;

    const sqlClosedZoneEvents = `
    SELECT
        trackable_uid,
        zone_uid,
        zone_name,
        enter_time as time_set,
        leave_time as time_clear
    FROM zone_events
    WHERE zone_type_name = 'information' AND leave_time >= '${from}' AND enter_time < '${to}' AND ${areaFilter}`;

    return `(${sqlOpenZoneEvents}) UNION (${sqlClosedZoneEvents});`;
}

export function getIdleEventsSql() {
    return 'SELECT trackable_uid, start_time, stop_time, sublocation_uid FROM idle_events WHERE start_time < ? and stop_time > ? and sublocation_uid in (?) ORDER by start_time;';
}
