import { Pool } from '../../db/Pool';
import { getObjectsSql, getHeartbeatsSql } from './sqls';

export class HeartbeatRepo {
    static async getObjects(start, end, sublocationUids) {
        if (!Array.isArray(sublocationUids) || sublocationUids.length === 0) {
            return [];
        }
        return Pool.queryAsync(getObjectsSql(), [end, start, sublocationUids]);
    }

    static async getList(start, end, sublocationUids) {
        if (!Array.isArray(sublocationUids) || sublocationUids.length === 0) {
            return [];
        }
        return Pool.queryAsync(getHeartbeatsSql(), [end, start, sublocationUids]);
    }
}
