import { dwPool } from '../../db/Pool';
import { getPositionsReportSql } from './sqls';

export class PositionRepo {
    static async _stream(sql) {
        return new Promise((resolve, reject) => {
            dwPool.getConnection(async (err, connection) => {
                if (err) {
                    reject(err);
                }
                const releaseConnection = () => {
                    if (connection) {
                        connection.release();
                        connection = null;
                    }
                };
                const query = connection.query(sql);
                resolve(
                    query
                        .stream()
                        .on('error', (e) => {
                            releaseConnection();
                            console.error(e);
                            reject(e);
                        })
                        .on('end', () => {
                            releaseConnection();
                        })
                );
            });
        });
    }

    static async getStream(from, to, sublocation_uids) {
        const positionsSql = getPositionsReportSql(from, to, sublocation_uids);
        return this._stream(positionsSql);
    }
}
