export function formatAlarm(row) {
    const additional_info = JSON.parse(row.additional_info);
    return {
        type: row.alarm_name,
        additional_info: {
            ...additional_info,
            zone_name: row.zone_name,
        },
        time_set: row.time_set,
        time_clear: row.time_clear,
        obj_uid: row.obj_uid,
    };
}

function formatLocation(_location) {
    const location = { ..._location };

    delete location.location_model;
    delete location.id;
    delete location.rpl_prefix;
    delete location.rpl_version;
    delete location.site_id;

    if (location.user_params) {
        location.user_params = JSON.parse(location.user_params);
    }

    if (location.shift) {
        location.shift = JSON.parse(location.shift);
    } else {
        location.shift = [];
    }

    return location;
}

export function formatLocationArray(locations) {
    return locations.map(formatLocation);
}
