import { v4 as uuid } from 'uuid';

export function getUUID() {
    const arr = new Array(16);
    uuid(null, arr, 0);
    const uuid_base64 = Buffer.from(arr).toString('base64');
    return uuid_base64
        .substr(0, uuid_base64.length - 2)
        .replace(/\+/g, '_')
        .replace(/\//g, '-');
}

export function parseSafeNull(string) {
    let result = null;
    if (string === null || string === undefined) {
        return string;
    }
    try {
        result = JSON.parse(string);
    } catch (e) {
        console.error(`Error parsing "${string}"`, e);
    }
    return result;
}
